# 8x8 Led Matrix Arduino library

[![Make docs and publish to GitHub Pages](https://github.com/SolderedElectronics/Soldered-8x8-MAX7219-LED-Matrix-Arduino-Library/actions/workflows/make_docs.yml/badge.svg?branch=dev)](https://github.com/SolderedElectronics/Soldered-8x8-MAX7219-LED-Matrix-Arduino-Library/actions/workflows/make_docs.yml)
[![Arduino Library Manager Compatibility](https://github.com/SolderedElectronics/Soldered-8x8-MAX7219-LED-Matrix-Arduino-Library/actions/workflows/arduino_lint.yml/badge.svg?branch=dev)](https://github.com/SolderedElectronics/Soldered-8x8-MAX7219-LED-Matrix-Arduino-Library/actions/workflows/arduino_lint.yml)


| ![8x8 LED matrix Green MAX7219 board](https://upload.wikimedia.org/wikipedia/commons/8/8f/Example_image.svg) |
| :----------------------------------------------------------------------------------------------------------: |
| [8x8 LED matrix Green MAX7219 board](https://www.solde.red/333148) |

The LED matrix 8x8 is a system of 64 interconnected LEDs that, with the help of the MAX7219 LED driver, light up as programmed, and all of this is located on one board and is truly easy to use. You can use them to show letters or symbols, display text, and the like. It is possible to connect several modules with just a few wires and control several matrices at once.

The design of the modules is such that they will look like they are from one piece, even if you stack several of them one after the other. The LEDs on the board are beautiful 0402 very small LEDs and give a very nice effect when lit.

- Voltage: 4.0V - 5.5V
- LED color: green
- Driver: MAX7219
- Dimensions: 54 x 22 mm

| ![8x8 LED matrix Red MAX7219 board](https://upload.wikimedia.org/wikipedia/commons/8/8f/Example_image.svg) |
| :--------------------------------------------------------------------------------------------------------: |
| [8x8 LED matrix Red MAX7219 board](https://www.solde.red/333149) |

The LED matrix 8x8 is a system of 64 interconnected LEDs that, with the help of the MAX7219 LED driver, light up as programmed, and all of this is located on one board and is truly easy to use. You can use them to show letters or symbols, display text, and the like. It is possible to connect several modules with just a few wires and control several matrices at once.

The design of the modules is such that they will look like they are from one piece, even if you stack several of them one after the other. The LEDs on the board are beautiful 0402 very small LEDs and give a very nice effect when lit.

- Voltage: 4.0V - 5.5V
- LED color: red
- Driver: MAX7219
- Dimensions: 54 x 22 mm

| ![8x8 LED matrix Purple MAX7219 board](https://upload.wikimedia.org/wikipedia/commons/8/8f/Example_image.svg) |
| :-----------------------------------------------------------------------------------------------------------: |
| [8x8 LED matrix Purple MAX7219 board](https://www.solde.red/333150) |

The LED matrix 8x8 is a system of 64 interconnected LEDs that, with the help of the MAX7219 LED driver, light up as programmed, and all of this is located on one board and is truly easy to use. You can use them to show letters or symbols, display text, and the like. It is possible to connect several modules with just a few wires and control several matrices at once.

The design of the modules is such that they will look like they are from one piece, even if you stack several of them one after the other. The LEDs on the board are beautiful 0402 very small LEDs and give a very nice effect when lit.

- Voltage: 4.0V - 5.5V
- LED color: purple
- Driver: MAX7219
- Dimensions: 54 x 22 mm

| ![8x8 LED matrix White MAX7219 board](https://upload.wikimedia.org/wikipedia/commons/8/8f/Example_image.svg) |
| :----------------------------------------------------------------------------------------------------------: |
| [8x8 LED matrix White MAX7219 board](https://www.solde.red/333151) |

The LED matrix 8x8 is a system of 64 interconnected LEDs that, with the help of the MAX7219 LED driver, light up as programmed, and all of this is located on one board and is truly easy to use. You can use them to show letters or symbols, display text, and the like. It is possible to connect several modules with just a few wires and control several matrices at once.

The design of the modules is such that they will look like they are from one piece, even if you stack several of them one after the other. The LEDs on the board are beautiful 0402 very small LEDs and give a very nice effect when lit.

- Voltage: 4.0V - 5.5V
- LED color: white
- Driver: MAX7219
- Dimensions: 54 x 22 mm

| ![8x8 LED matrix Orange MAX7219 board](https://upload.wikimedia.org/wikipedia/commons/8/8f/Example_image.svg) |
| :-----------------------------------------------------------------------------------------------------------: |
| [8x8 LED matrix Orange MAX7219 board](https://www.solde.red/333152) |

The LED matrix 8x8 is a system of 64 interconnected LEDs that, with the help of the MAX7219 LED driver, light up as programmed, and all of this is located on one board and is truly easy to use. You can use them to show letters or symbols, display text, and the like. It is possible to connect several modules with just a few wires and control several matrices at once.

The design of the modules is such that they will look like they are from one piece, even if you stack several of them one after the other. The LEDs on the board are beautiful 0402 very small LEDs and give a very nice effect when lit.

- Voltage: 4.0V - 5.5V
- LED color: orange
- Driver: MAX7219
- Dimensions: 54 x 22 mm

| ![8x8 LED matrix Blue MAX7219 board](https://upload.wikimedia.org/wikipedia/commons/8/8f/Example_image.svg) |
| :---------------------------------------------------------------------------------------------------------: |
| [8x8 LED matrix Blue MAX7219 board](https://www.solde.red/333153) |

The LED matrix 8x8 is a system of 64 interconnected LEDs that, with the help of the MAX7219 LED driver, light up as programmed, and all of this is located on one board and is truly easy to use. You can use them to show letters or symbols, display text, and the like. It is possible to connect several modules with just a few wires and control several matrices at once.

The design of the modules is such that they will look like they are from one piece, even if you stack several of them one after the other. The LEDs on the board are beautiful 0402 very small LEDs and give a very nice effect when lit.

- Voltage: 4.0V - 5.5V
- LED color: blue
- Driver: MAX7219
- Dimensions: 54 x 22 mm

### Repository Contents

- **/src** - source files for the library (.h & .cpp)
- **/examples** - examples for using the library
- **_other_** - _keywords_ file highlights function words in your IDE, _library.properties_ enables implementation with Arduino Library Manager.

### Hardware design

You can find hardware design for this board in [_8x8 LED matrix Green MAX7219 board_](https://github.com/SolderedElectronics/8x8-LED-Matrix-Green-MAX7219-board-hardware-design) hardware repository.

You can find hardware design for this board in [_8x8 LED matrix Red MAX7219 board_](https://github.com/SolderedElectronics/NAZIVPROIZVODA-hardware-design) hardware repository.

You can find hardware design for this board in [_8x8 LED matrix Purple MAX7219 board_](https://github.com/SolderedElectronics/8x8-LED-matrix-Purple-MAX7219-board-hardware-design) hardware repository.

You can find hardware design for this board in [_8x8 LED matrix White MAX7219 board_](https://github.com/SolderedElectronics/8x8-LED-matrix-White-MAX7219-board-hardware-design) hardware repository.

You can find hardware design for this board in [_8x8 LED matrix Orange MAX7219 board_](https://github.com/SolderedElectronics/8x8-LED-matrix-Orange-MAX7219-board-hardware-design) hardware repository.

You can find hardware design for this board in [_8x8 LED matrix Blue MAX7219 board_](https://github.com/SolderedElectronics/8x8-LED-matrix-Blue-MAX7219-board-hardware-design) hardware repository.

### Documentation

Access Arduino library documentation [here](https://SolderedElectronics.github.io/Soldered-8x8-MAX7219-LED-Matrix-Arduino-Library/).

- Tutorial for using the LED matrix board
- Installing an Arduino library

### Board compatibility

The library is compatible with board & microcontroller families shown in green below:

[![Compile Sketches](http://github-actions.40ants.com/e-radionicacom/Soldered-8x8-MAX7219-LED-Matrix-Arduino-Library/matrix.svg?branch=dev&only=Compile%20Sketches)](https://github.com/SolderedElectronics/Soldered-8x8-MAX7219-LED-Matrix-Arduino-Library/actions/workflows/compile_test.yml)

### About Soldered

<img src="https://raw.githubusercontent.com/e-radionicacom/Soldered-Generic-Arduino-Library/dev/extras/Soldered-logo-color.png" alt="soldered-logo" width="500"/>

At Soldered, we design and manufacture a wide selection of electronic products to help you turn your ideas into acts and bring you one step closer to your final project. Our products are intented for makers and crafted in-house by our experienced team in Osijek, Croatia. We believe that sharing is a crucial element for improvement and innovation, and we work hard to stay connected with all our makers regardless of their skill or experience level. Therefore, all our products are open-source. Finally, we always have your back. If you face any problem concerning either your shopping experience or your electronics project, our team will help you deal with it, offering efficient customer service and cost-free technical support anytime. Some of those might be useful for you:

- [Web Store](https://www.soldered.com/shop)
- [Tutorials & Projects](https://soldered.com/learn)
- [Community & Technical support](https://soldered.com/community)

### Original source

This library is possible thanks to original [MAX72xx LED Matrix Display Library](https://github.com/MajicDesigns/MD_MAX72XX) library. Thank you, MajicDesigns.

### Open-source license

Soldered invests vast amounts of time into hardware & software for these products, which are all open-source. Please support future development by buying one of our products.

Check license details in the LICENSE file. Long story short, use these open-source files for any purpose you want to, as long as you apply the same open-source licence to it and disclose the original source. No warranty - all designs in this repository are distributed in the hope that they will be useful, but without any warranty. They are provided "AS IS", therefore without warranty of any kind, either expressed or implied. The entire quality and performance of what you do with the contents of this repository are your responsibility. In no event, Soldered (TAVU) will be liable for your damages, losses, including any general, special, incidental or consequential damage arising out of the use or inability to use the contents of this repository.

## Have fun!

And thank you from your fellow makers at Soldered Electronics.
